# $Revision: 1.21 $, $Date: 2002/03/04 12:39:47 $
%include	/usr/lib/rpm/macros.perl
Summary:	PlRPC perl module
Summary(pl):	Modu perla PlRPC
Name:		perl-PlRPC
Version:	0.2016
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/RPC/PlRPC-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-54
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Net-Daemon
BuildRequires:	perl-Storable
BuildRequires:	perl-Compress-Zlib
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PlRPC (Perl RPC) is a package for implementing servers and clients
that are written in Perl entirely.

%description -l pl
PlRPC (Perl RPC) to pakiet sucy do tworzenia serwerw i klientw
wycznie w perlu.

%prep
%setup -q -n PlRPC-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf ChangeLog README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitelib}/RPC/PlClient.pm
%{perl_sitelib}/RPC/PlServer.pm
%{perl_sitelib}/RPC/PlServer
%{_mandir}/man3/R*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-PlRPC.spec,v $
Revision 1.21  2002/03/04 12:39:47  kloczek
- release 3.

Revision 1.20  2002/03/04 10:34:04  grabba
- fixed required rpm-perlprov version

Revision 1.19  2002/03/03 21:31:15  marcus
- rel.2.

Revision 1.18  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/10 15:32:57  depesz
adapterized

Revision 1.16  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/10/10 15:23:25  mis
- autoupdated to 0.2016

Revision 1.14  2001/07/16 00:10:36  qboosh
- removed Bundle::* - we use rpm dependencies
- release 4

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:14:20  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/03/29 07:54:46  mis
- autoupdated to 0.2015

Revision 1.9  2001/02/01 20:42:52  kloczek
- updated to 0.2014.

Revision 1.8  2001/01/23 00:41:55  kloczek
- spec adapterized,
- do not include .packlist file in %files.

Revision 1.7  2001/01/13 01:48:40  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.1  1999/11/02 22:10:48  pius
- initial release
